.. currentmodule:: astropy.io.fits

.. _tables:

Tables
******

:class:`BinTableHDU`
====================
.. autoclass:: BinTableHDU
   :members:
   :inherited-members:
   :show-inheritance:

:class:`TableHDU`
=================
.. autoclass:: TableHDU
   :members:
   :inherited-members:
   :show-inheritance:

:class:`Column`
===============
.. autoclass:: Column
   :members:
   :inherited-members:
   :show-inheritance:

:class:`ColDefs`
================
.. autoclass:: ColDefs
   :members:
   :inherited-members:
   :show-inheritance:

:class:`FITS_rec`
=================
.. autoclass:: FITS_rec
   :members:
   :show-inheritance:

:class:`FITS_record`
====================
.. autoclass:: FITS_record
   :members:
   :inherited-members:
   :show-inheritance:


Table Functions
===============

:func:`tabledump`
-----------------
.. autofunction:: tabledump

:func:`tableload`
-----------------
.. autofunction:: tableload

:func:`table_to_hdu`
--------------------
.. autofunction:: table_to_hdu
